#!/bin/bash

# script to start and stop minetest server


if [[ $1 == "start" ]] 
then
	echo "STARTING"
        /home/kake26/minetest-5.6.1/bin/minetestserver --quiet --logfile /home/kake26/minetest/minetest.log --config /home/kake26/minetest/conf/minetest.conf --world /home/kake26/minetest/minetest-server/.minetest/worlds/world2/  &
        pid=$!
        echo $pid > /home/kake26/minetest/mintest.pid
fi

if pidof minetestserver  
then
   # Horribly cheap but works
   echo "OK"
else
   # Seriously why not
   /home/kake26/minetest-5.6.1/bin/minetestserver --quiet --logfile /home/kake26/minetest/minetest.log --config /home/kake26/minetest/conf/minetest.conf --world /home/kake26/minetest/minetest-server/.minetest/worlds/world2/  &
fi

if [[ $1 == "stop" ]]
then
	echo "STOPING"
        $(pidof minetestserver | xargs kill -s INT)
fi
exit 0

